Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2892623002: Type check PDF plugin JS code, down to 53 errors. (Closed)

Created:
6 months ago by dpapad
Modified:
6 months ago
CC:
arv+watch_chromium.org, chromium-reviews, dbeam+watch-closure_chromium.org, jlklein+watch-closure_chromium.org, vitalyp+closure_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Type check PDF plugin JS code, down to 53 errors. BUG=721073 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2892623002 Cr-Commit-Position: refs/heads/master@{#473038} Committed: https://chromium.googlesource.com/chromium/src/+/d2d647796babde3b2c5648e72b146d08d7e5c40d

Patch Set 1 #

Patch Set 2 : Use flat list. #

Patch Set 3 : More fixes #

Patch Set 4 : Down to 53 errors. #

Patch Set 5 : Re-comment line #

Total comments: 1

Patch Set 6 : Revert compiled_resources2.gyp for now. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+12 lines, -9 lines) Patch
M chrome/browser/resources/pdf/navigator.js View 1 2 3 5 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/resources/pdf/open_pdf_params_parser.js View 1 2 3 3 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/resources/pdf/toolbar_manager.js View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/resources/pdf/viewport.js View 1 2 2 chunks +3 lines, -3 lines 0 comments Download
M chrome/browser/resources/pdf/viewport_scroller.js View 1 2 1 chunk +1 line, -0 lines 0 comments Download
Trybot results:  linux_chromium_chromeos_ozone_rel_ng   linux_chromium_rel_ng   ios-simulator   win_chromium_x64_rel_ng   win_clang   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-device   closure_compilation   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   linux_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   win_chromium_rel_ng   ios-simulator   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-device   ios-device-xcode-clang   closure_compilation   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_android   cast_shell_linux   android_n5x_swarming_rel   linux_android_rel_ng   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 

Dependent Patchsets:

Messages

Total messages: 26 (11 generated)
dpapad
Remaining errors can be seen at https://pastebin.com/0mvEK8WF. Will address separately since they seem more involved ...
6 months ago (2017-05-17 18:24:16 UTC) #4
dsinclair
lgtm mcnee@ fyi.
6 months ago (2017-05-17 20:59:57 UTC) #5
Dan Beam (no longer on Chrome)
not lgtm https://codereview.chromium.org/2892623002/diff/80001/chrome/browser/resources/pdf/compiled_resources2.gyp File chrome/browser/resources/pdf/compiled_resources2.gyp (right): https://codereview.chromium.org/2892623002/diff/80001/chrome/browser/resources/pdf/compiled_resources2.gyp#newcode9 chrome/browser/resources/pdf/compiled_resources2.gyp:9: 'script_args': ['--custom_sources'], we should only use this ...
6 months ago (2017-05-17 21:16:49 UTC) #6
dpapad
On 2017/05/17 at 21:16:49, dbeam wrote: > not lgtm > > https://codereview.chromium.org/2892623002/diff/80001/chrome/browser/resources/pdf/compiled_resources2.gyp > File chrome/browser/resources/pdf/compiled_resources2.gyp ...
6 months ago (2017-05-17 21:20:42 UTC) #7
Dan Beam (no longer on Chrome)
On 2017/05/17 21:20:42, dpapad wrote: > On 2017/05/17 at 21:16:49, dbeam wrote: > > not ...
6 months ago (2017-05-17 21:22:02 UTC) #8
Kevin McNee
On 2017/05/17 21:20:42, dpapad wrote: > On 2017/05/17 at 21:16:49, dbeam wrote: > > not ...
6 months ago (2017-05-17 21:38:27 UTC) #9
dpapad
On 2017/05/17 at 21:38:27, mcnee wrote: > On 2017/05/17 21:20:42, dpapad wrote: > > On ...
6 months ago (2017-05-17 21:41:51 UTC) #10
dpapad
@dbeam PTAL, compiled_resources2.gyp has been reverted. Will look into breaking circular deps in follow up ...
6 months ago (2017-05-17 21:49:10 UTC) #11
Dan Beam (no longer on Chrome)
for reverting the "not" part: lgtm
6 months ago (2017-05-17 22:18:43 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2892623002/100001
6 months ago (2017-05-17 22:21:22 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/447874)
6 months ago (2017-05-18 02:36:15 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2892623002/100001
6 months ago (2017-05-18 15:53:07 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/430795)
6 months ago (2017-05-18 20:38:17 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2892623002/100001
6 months ago (2017-05-19 00:16:20 UTC) #23
commit-bot: I haz the power
6 months ago (2017-05-19 02:30:58 UTC) #26
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/d2d647796babde3b2c5648e72b14...

Powered by Google App Engine
This is Rietveld efc10ee0f